#!/bin/bash

# RPM post trans script, no arguments
# Note: Also called from Debian ea-apache24-mod_lsapi.postinst scriptlet

# "ea-apache24-mod_lsapi POST TRANS STARTED"

rhel=$2

echo "Restarting apache for new mod_lsapi..."
if [[ $rhel -lt 7 ]]; then
  /sbin/service httpd restart
else
  systemctl restart httpd.service
fi

if [[ ! -f /etc/apache2/conf.modules.d/001_mod_lsapi.conf ]]
then
  cp usr/share/lve/modlscapi/include/001_mod_lsapi.conf /etc/apache2/conf.modules.d/001_mod_lsapi.conf
fi

# "ea-apache24-mod_lsapi POST TRANS FINISHED"
